Bug 222759 - gfs_mkfs doesn't zero data after gfs superblock
gfs_mkfs doesn't zero data after gfs superblock
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 19:00 EST by Robert Peterson
Modified: 2010-01-11 22:32 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0576
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch to fix the problem (493 bytes, patch)
2007-01-15 19:13 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Robert Peterson 2007-01-15 19:00:38 EST
Description of problem:
gfs_mkfs doesn't zero out the entire page used for the gfs superblock
and consequently the bytes after the superblock can be anything.
These bits aren't really used for anything, but they look ugly
when viewing with gfs_edit.

Version-Release number of selected component (if applicable):
RHEL5

How reproducible:
Always

Steps to Reproduce:
1. dd if=/dev/urandom of=/dev/trin_vg/trin_lv bs=1M count=16
2. gfs_mkfs -t bob_cluster2:bobs_gfs -p lock_dlm -j 2 /dev/trin_vg/trin_lv
3. gfs_edit /dev/trin_vg/trin_lv
  
Actual results:
Garbage after the superblock structure.

Expected results:
No garbage, rest of the page should be zeroed out.

Additional info:
This data was zeroed for RHEL4, but isn't for RHEL5.
There shouldn't really be any consequences for customers here unless
we decide at a later point in time to reuse some of those bits after
the superblock and include them into the structure.

I checked the other data structures, such as the rgindex, the RGs,
the journal index, etc.  All of them were zeroed properly, so I think
this only affects the one block.

Reported by Abhi Das.  I recreated it on trin-10.
I recommend we fix for RHEL5.1.
Comment 1 Robert Peterson 2007-01-15 19:05:05 EST
I verified this does not affect gfs2.  The mkfs.gfs2 program does this
zeroing of the data just fine.
Comment 2 Robert Peterson 2007-01-15 19:13:03 EST
Created attachment 145641 [details]
Proposed patch to fix the problem

One-line fix, tested on trin-10
Comment 4 Robert Peterson 2007-01-23 16:38:06 EST
Code fix committed to CVS at HEAD and RHEL5.  Changing status to modified.
Comment 5 Kiersten (Kerri) Anderson 2007-04-23 13:37:05 EDT
Fixing product name. Cluster Suite components were integrated into Enterprise
Linux for verion 5.0.
Comment 8 errata-xmlrpc 2007-11-07 12:57:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0576.html

Note You need to log in before you can comment on or make changes to this bug.